Package Details: vala-git 0.43.6+6+g9c130ffe0-1

Git Clone URL: https://aur.archlinux.org/vala-git.git (read-only, click to copy)
Package Base: vala-git
Description: Compiler for the GObject type system
Upstream URL: https://wiki.gnome.org/Projects/Vala
Keywords: compiler gobject programming
Licenses: LGPL
Conflicts: vala, valadoc
Provides: vala, valadoc
Replaces: vala, valadoc
Submitter: None
Maintainer: swiftscythe
Last Packager: swiftscythe
Votes: 85
Popularity: 0.011041
First Submitted: 2009-10-23 08:57
Last Updated: 2019-01-28 12:25

Required by (599)

Sources (1)

Latest Comments

« First ‹ Previous 1 2 3 4

flamelab commented on 2010-04-12 18:47

You also need "vala" as makedepend, since vala-git already needs "valac" binary to be existing in the system.

flamelab commented on 2010-04-12 18:41

No, it follows the -git standards for PKGBUILDs. Check the most used (and voted) PKGBUILDs and you'll find out what I mean.

-Twice as big, but better functioning.
-You have a build dir, you should be git cloning from the internet within the build dir
-Yes, because with package() fakeroot isn't running.
-??
-??

flamelab commented on 2010-04-12 18:39

No, it follows the -git standards for PKGBUILDs. Check the most used (and voted) PKGBUILDs and you'll find out what I mean.

Anonymous comment on 2010-04-09 13:06

Why do you call that PKGBUILD "much cleaner"?
- twice as big
- 2 x cloning of git repo
- different steps for build/install
- variable names that are longer than its value
- ...

Is the package different when build with this PKGBUILD?

flamelab commented on 2010-04-09 12:09

I'd propose a much cleaner PKGBUILD

http://aur.pastebin.com/r5dTTvcY

flamelab commented on 2010-04-09 12:09

I'd propose a much cleaner (and -git PKGBUILD compliant) PKGBUILD

http://aur.pastebin.com/iVw6qaEk

flamelab commented on 2010-04-09 12:08

I'd propose a much cleaner (and -git PKGBUILD compliant) PKGBUILD

http://aur.pastebin.com/iVw6qaEk

Anonymous comment on 2010-04-09 09:47

done

Anonymous comment on 2010-04-09 08:50

Vala already has version 0.8.x
Maybe should change the version? Like another git PKGBUILD's.